Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Failed to emerge dev-lang/php ... Cannot find libpq.so
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
modnaruved
Tux's lil' helper
Tux's lil' helper


Joined: 21 Mar 2011
Posts: 142

PostPosted: Mon Nov 20, 2017 2:46 pm    Post subject: Failed to emerge dev-lang/php ... Cannot find libpq.so Reply with quote

Hi,

Getting unable to build any php version (I use 5.6) with postgresql support.

Info:

build log:
https://paste.pound-python.org/show/xHWHJclLB3rMtIkuREl3/



emerge info:
Code:
emerge -p --info dev-lang/php  dev-db/postgresql

https://paste.pound-python.org/show/KibjpIdqpr2eXvD1LNDz/



I try to mask postgresql as :
/etc/portage/package.keywords:
Code:
<=dev-db/postgresql-9.5.7 ~amd64

It helped but after latest upgrade it is not working...



Current location of libpq.so
Code:

locate libpq.so
/usr/lib64/postgresql-9.5/lib64/libpq.so
/usr/lib64/postgresql-9.5/lib64/libpq.so.5
/usr/lib64/postgresql-9.5/lib64/libpq.so.5.8
/usr/lib64/postgresql-9.6/lib64/libpq.so
/usr/lib64/postgresql-9.6/lib64/libpq.so.5
/usr/lib64/postgresql-9.6/lib64/libpq.so.5.9




I only don't tried to run this while:
Code:
emerge --config =dev-db/postgresql-9.5.10



Thank you for any advice and help on solving this problem.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 16918
Location: here

PostPosted: Mon Nov 20, 2017 3:01 pm    Post subject: Reply with quote

Can help this?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum